clear all
axis equal
[x1,x2]=meshgrid(4:0.1:10, 0.5:0.1:3.5);

f=2*x1.^2-6*x1.*x2+9*x2.^2-18*x1+9*x2;
g1=x1+2*x2-10;
g2=4*x1-3*x2-20;
g3=-x1;
g4=-x2;

cla reset
axis equal
axis ([4 10 0.5 3.5])
xlabel('x1'),ylabel('x2') 
title('Exercise 4.64')
hold on

cv1=[0:0.05:0.4];
const1=contour(x1,x2,g1,cv1,'g');
cv1=[0 0.01];
const1=contour(x1,x2,g1,cv1,'k'); 

cv2=[0:0.05:0.8];
const2=contour(x1,x2,g2,cv2,'g');
cv2=[0 0.01];
const2=contour(x1,x2,g2,cv2,'k'); 

cv3=[0:0.03:0.3];
const3=contour(x1,x2,g3,cv3,'g');
cv3=[0 0.005];
const3=contour(x1,x2,g3,cv3,'k');

cv4=[0:0.03:0.3];
const4=contour(x1,x2,g4,cv4,'g');
cv4=[0 0.005];
const4=contour(x1,x2,g4,cv4,'k');

fv=[-58 -56.901 -53]; 
fs=contour(x1,x2,f,fv,'b');

a=[6.3];
b=[1.733];
plot(a,b,'.k');

grid
hold off 