clear all
[P1,P2]=meshgrid(-3:0.1:65 , -3:0.1:65);
f=(1-P1+P1.^2)+(1+0.6*P2+P2.^2);

g1=60-P1-P2;
g2=-P1;
g3=-P2;

cla reset
axis equal
axis ([-3 65 -3 65])
xlabel('P1'),ylabel('P2') 
title('Exercise 4.96')
hold on

cv1=[0:0.3:3];
const1=contour(P1,P2,g1,cv1,'g');
cv1=[0 0.001];
const1=contour(P1,P2,g1,cv1,'k'); 

cv2=[0:0.3:3];
const2=contour(P1,P2,g2,cv2,'g');
cv2=[0 0.01];
const2=contour(P1,P2,g2,cv2,'k'); 

cv3=[0:0.3:3];
const3=contour(P1,P2,g3,cv3,'g');
cv3=[0 0.005];
const3=contour(P1,P2,g3,cv3,'k'); 


fv=[1000 1789.68 2500]; 
fs=contour(P1,P2,f,fv,'b');
a=[30.4];
b=[29.6];
plot(a,b,'.k');

grid
hold off 